## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_without check

# https://github.com/projectdiscovery/dnsx
%global goipath         github.com/projectdiscovery/dnsx
Version:                1.1.6

%gometa -f

%global goname dnsx

%global common_description %{expand:
Dnsx is a fast and multi-purpose DNS toolkit allow to run multiple DNS queries
of your choice with a list of user-supplied resolvers.}

%global golicenses      LICENSE.md
%global godocs          SECURITY.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Dnsx is a fast and multi-purpose DNS toolkit

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/dnsx %{goipath}/cmd/dnsx

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
for test in "TestRunner_asnInput_prepareInput" "TestRunner_InputWorkerStream" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif

%files
%license LICENSE.md
%doc SECURITY.md README.md
%{_bindir}/*

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 1.1.6-4
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 16 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.1.6-1
- Update to 1.1.6 - Closes rhbz#2249448 rhbz#2248264

* Fri Oct 27 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.1.5-1
- Update to 1.1.5 - Closes rhbz#2169567 rhbz#2178430 rhbz#2163084

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Oct 04 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.1.1-1
- Update to 1.1.1 - Closes rhbz#2130736

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 1.1.0-4
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.0-3
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.0-2
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Tue May 10 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.1.0-1
- Initial package - Closes rhbz#2081179
## END: Generated by rpmautospec
